apiVersion: v1
kind: ConfigMap
metadata:
  name: commerce-config
data:
  NODE_ENV: production
  PORT: "9000"

  STORE_CORS: https://shop.cruzcloud.net
  ADMIN_CORS: https://commerce.cruzcloud.net
  AUTH_CORS: https://commerce.cruzcloud.net,https://shop.cruzcloud.net

  MEDUSA_BACKEND_URL: https://commerce.cruzcloud.net
  STOREFRONT_URL: https://shop.cruzcloud.net
  MEDUSA_WORKER_MODE: shared
  DISABLE_MEDUSA_ADMIN: "false"

  S3_FILE_URL: https://media.cruzcloud.net/ari-products
  S3_ENDPOINT: http://minio-svc:9000
  S3_REGION: us-east-1
  S3_BUCKET: ari-products
